org.apache.ignite.internal.sql.command

## Class SqlCreateIndexCommand

- java.lang.Object
- - org.apache.ignite.internal.sql.command.SqlCreateIndexCommand

All Implemented Interfaces:
  SqlCommand

    public class SqlCreateIndexCommand
    extends Object
    implements SqlCommand

CREATE INDEX command.

### Constructor Summary

Constructors
Constructor and Description
`SqlCreateIndexCommand()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Collection<SqlIndexColumn>` `columns()`
`boolean` `ifNotExists()`
`String` `indexName()`
`int` `inlineSize()`
`int` `parallel()`
`SqlCommand` `parse(SqlLexer lex)` Parse command.
`String` `schemaName()`
`void` `schemaName(String schemaName)`
`boolean` `spatial()`
`SqlCreateIndexCommand` `spatial(boolean spatial)`
`String` `tableName()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SqlCreateIndexCommand

    public SqlCreateIndexCommand()

### Method Detail

#### schemaName

    public String schemaName()

Specified by:
  `schemaName` in interface `SqlCommand`
Returns:
  Schema name.

#### schemaName

    public void schemaName(String schemaName)

Specified by:
  `schemaName` in interface `SqlCommand`
Parameters:
  `schemaName` - Schema name.

#### tableName

    public String tableName()

Returns:
  Table name.

#### indexName

    public String indexName()

Returns:
  Index name.

#### ifNotExists

    public boolean ifNotExists()

Returns:
  IF NOT EXISTS flag.

#### parallel

    public int parallel()

Returns:
  Parallelism level.

#### spatial

    public boolean spatial()

Returns:
  Spatial index flag.

#### inlineSize

    public int inlineSize()

Returns:
  Inline size.

#### spatial

    public SqlCreateIndexCommand spatial(boolean spatial)

Parameters:
  `spatial` - Spatial index flag.
Returns:
  This instance.

#### columns

    public Collection<SqlIndexColumn> columns()

Returns:
  Columns.

#### parse

    public SqlCommand parse(SqlLexer lex)

Parse command.

Specified by:
  `parse` in interface `SqlCommand`
Parameters:
  `lex` - Lexer.
Returns:
  This instance.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.4.0
Release Date | : March 5 2018